Subject: Re: [AVTCORE] I-D Action: draft-ietf-avtcore-multi-media-rtp-session-01.txt

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Sat, 3 Nov 2012 19:03:05 +0000

I have some comment on this draft.

1) Section 3.3, Architectural Equality, reads as follows, " Provided the media flows have similar bandwidth requirements, so that the RTCP timing rules work, using the same RTP session for several types of media at once appears a reasonable choice." This is confusing because the condition stated about similar bandwidth is not met by the use case or which this functionality is being proposed (e.g. sessions with audio and video and perhaps data).

2) Section 4, reads, "The goal of the solution is to enable having one or more RTP sessions, where each RTP session may contain two or more media types." I think the goal is for each RTP session to be able to contain one or more media types, right?

3) Section 5.1, reads, " The main rule is that if one expects to have equal treatment of all media packets, then this specification might be suitable.  The equal treatment [may] include anything from network level up to RTCP reporting and feedback." However, some other mechanism not based on the 5-tuple for the flow may be used to provide differential treatment, in which case this multiplexing mechanism may still be suitable despite dissimilar bandwidths.

Then later in the same section it reads, "The second important consideration is that all media flows to be sent within a single RTP session need to have similar bandwidth ... If an RTP session contains flows with very different bandwidths, for example low-rate audio coupled with high-quality video ...".
Here is well, as this is one of the intended use cases, I think it is worthwhile to clearly state that this draft provides a [proposed] solution; otherwise, it seems the mechanism defined in this draft is not suitable for the very use case that prompted its creation.

4) Section 5.5, same issue as with section 5.1. 

5) Section 6.1
s/motivating the previously/motivated previously

And where is reads, "each SSRC will commonly a native media type", did you mean to say, "each SSRC will be associated with a specific media type"?

Cheers,
Charles

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Magnus Westerlund
> Sent: Monday, October 22, 2012 11:14 AM
> To: [email-masked]
> Subject: Re: [AVTCORE] I-D Action: draft-ietf-avtcore-multi-media-rtp-
> session-01.txt
> 
> WG,
> 
> (As author)
> 
> This updates makes three significant changes:
> 
> - Updates also RFC 3551
> - Expandes on the RTCP bandwidth issues
>    * Note solution is still an open issue
> - Add a proposal for XOR based FEC handling in this context.
> 
> Cheers
> 
> Magnus
> 
> 
> On 2012-10-22 17:08, [email-masked] wrote:
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> >  This draft is a work item of the Audio/Video Transport Core Maintenance
> Working Group of the IETF.
> >
> > 	Title           : Multiple Media Types in an RTP Session
> > 	Author(s)       : Magnus Westerlund
> >                           Colin Perkins
> >                           Jonathan Lennox
> > 	Filename        : draft-ietf-avtcore-multi-media-rtp-session-01.txt
> > 	Pages           : 19
> > 	Date            : 2012-10-22
> >
> > Abstract:
> >    This document specifies how an RTP session can contain media streams
> >    with media from multiple media types such as audio, video, and text.
> >    This has been restricted by the RTP Specification, and thus this
> >    document updates RFC 3550 and RFC 3551 to enable this behavior for
> >    applications that satisfy the applicability for using multiple media
> >    types in a single RTP session.
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-avtcore-multi-media-rtp-
> session
> >
> > There's also a htmlized version available at:
> > http://tools.ietf.org/html/draft-ietf-avtcore-multi-media-rtp-session-01
> >
> > A diff from the previous version is available at:
> > http://www.ietf.org/rfcdiff?url2=draft-ietf-avtcore-multi-media-rtp-
> session-01
> >
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > _______________________________________________
> > Audio/Video Transport Core Maintenance
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/avt
> >
> >
> 
> 
> --
> 
> Magnus Westerlund
> 
> ----------------------------------------------------------------------
> Multimedia Technologies, Ericsson Research EAB/TVM
> ----------------------------------------------------------------------
> Ericsson AB                | Phone  +46 10 7148287
> Färögatan 6                | Mobile +46 73 0949079
> SE-164 80 Stockholm, Sweden| mailto: [email-masked]
> ----------------------------------------------------------------------
> 
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt